Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class ContragentSearchInfo

java.lang.Object
ru.bitel.bgbilling.plugins.edo.common.bean.ContragentSearchInfo

public class ContragentSearchInfo extends Object
Набор возможной инфы для поиска контрагентов (и идентификаторов) через сервисы эдо. Эта модель используется и для предзаполнения формы поиска, и как исходные данные для поиска во внешнем сервисе ЭДО.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContragentSearchInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getF()`
  `String`
  `getI()`
  `String`
  `getInn()`
  `String`
  `getKpp()`
  `String`
  `getO()`
  `String`
  `getSnils()`
  `ContragentType`
  `getType()`
  `ContragentType`
  `getTypeOrGuess()`
  Предполагаем тип контрагента, для случая когда мы составляем это для инструмента поиска на основании каких-то данных в биллинге, например. а в данный момент по сути нигде не хранится, т.к. хз как и зачем, суть в том что для поиска надо бы передать тип в сбис, а его взять можно по косвенным данным.
  `void`
  `setF(String f)`
  `void`
  `setI(String i)`
  `void`
  `setInn(String inn)`
  `void`
  `setKpp(String kpp)`
  `void`
  `setO(String o)`
  `void`
  `setSnils(String snils)`
  `void`
  `setType(ContragentType type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContragentSearchInfo

    public ContragentSearchInfo()

- ## Method Details

  - ### getType

    public ContragentType getType()

  - ### setType

    public void setType(ContragentType type)

  - ### getInn

    public String getInn()

  - ### setInn

    public void setInn(String inn)

  - ### getKpp

    public String getKpp()

  - ### setKpp

    public void setKpp(String kpp)

  - ### getF

    public String getF()

  - ### setF

    public void setF(String f)

  - ### getI

    public String getI()

  - ### setI

    public void setI(String i)

  - ### getO

    public String getO()

  - ### setO

    public void setO(String o)

  - ### getSnils

    public String getSnils()

  - ### setSnils

    public void setSnils(String snils)

  - ### getTypeOrGuess

    public ContragentType getTypeOrGuess()
    Предполагаем тип контрагента, для случая когда мы составляем это для инструмента поиска на основании каких-то данных в биллинге, например. а в данный момент по сути нигде не хранится, т.к. хз как и зачем, суть в том что для поиска надо бы передать тип в сбис, а его взять можно по косвенным данным. Используется для первоначального заполнения формы поиска. Если тип заполнен, то возвращается как есть. Семантика "вернуть тип, в крайнем случае угадать". Не забыть что вызывать надо после заполнения всех остальных полей.